import { ConsoleLogger } from '@nestjs/common';
import { LoggerService } from '@nestjs/common/services/logger.service';
import { Logger } from './logger.types';
export declare class LoggerNestAdapter extends ConsoleLogger implements LoggerService {
    private logger;
    constructor(logger: Logger);
    log(message: string, context: string, ...optionalParams: unknown[]): void;
    error(message: string, context: string, ...optionalParams: unknown[]): void;
    warn(message: string, context: string, ...optionalParams: unknown[]): void;
    debug(message: string, context: string, ...optionalParams: unknown[]): void;
    verbose(message: string, context: string, ...optionalParams: unknown[]): void;
    private getLogData;
}
