import { LOG_LEVEL, Logger } from './logger.types';
export declare class LoggerService {
    private logger;
    private sourceClass;
    private context;
    constructor(logger: Logger, parentClass: object);
    log(level: LOG_LEVEL, message: string | Error, context: string, data?: unknown): void;
    debug(message: string, context: string, data?: unknown): void;
    info(message: string, context: string, data?: unknown): void;
    warn(message: string | Error, context: string, data?: unknown): void;
    error(message: string | Error, context: string, data?: unknown): void;
    fatal(message: string | Error, context: string, data?: unknown): void;
    emergency(message: string | Error, context: string, data?: unknown): void;
    private getLogData;
}
